> ## Documentation Index > Fetch the complete documentation index at: https://developers.torq.io/llms.txt > Use this file to discover all available pages before exploring further. # Delete dashboard > Deletes a dashboard and its widgets, and shortly after, its scheduled reports. Organization dashboards cannot be deleted from a workspace. The API key must be able to see the dashboard, as described in `List dashboards`. ## OpenAPI ````json DELETE /v1alpha/dashboards/{dashboard_id} { "openapi": "3.0.1", "info": { "contact": { "email": "support@torq.io", "name": "torq.io", "url": "https://torq.io" }, "title": "Torq Public API[production]", "version": "${DH_DEPLOY_VERSION}" }, "servers": [ { "url": "https://api.torq.io/public", "description": "US Environment" }, { "url": "https://api.eu.torq.io/public", "description": "European Enviornment" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "Files" }, { "name": "ActivityLogs" }, { "name": "AgentsHubService" }, { "name": "Users" }, { "name": "ApiKeys" }, { "name": "AuditLogs" }, { "name": "ContextGraph" }, { "name": "DashboardsService" }, { "name": "Executions" }, { "name": "ShareRequests" }, { "name": "StepRunners" }, { "name": "Integrations" }, { "name": "IPAccessService" }, { "name": "RolesService" }, { "name": "ScheduledReportsService" }, { "name": "Secrets" }, { "name": "SecuritySettingsService" }, { "name": "ClaimMappings" }, { "name": "IdpSsoService" }, { "name": "Workflows" }, { "name": "Workspaces" }, { "name": "WorkspaceVariables" }, { "name": "Auto Triage Alerts" }, { "name": "Auto Triage Guidance" }, { "name": "Auto Triage Alert History" }, { "name": "Auto Triage Rules" }, { "name": "Auto Triage Verdict Actions" }, { "name": "Cases" }, { "name": "Cases Custom Fields" }, { "name": "Cases Notes" }, { "name": "ExtendedCaseService" }, { "name": "Cases Attachments" }, { "name": "Observables" }, { "name": "Cases Observables" }, { "name": "CaseSearchService" }, { "name": "Cases Tasks" }, { "name": "Cases Task Templates" }, { "name": "Cases Links" }, { "name": "Cases Events" }, { "name": "Cases Runbooks" } ], "externalDocs": { "description": "Torq Documentation", "url": "https://learn.torq.io" }, "x-original-swagger-version": "2.0", "paths": { "/v1alpha/dashboards/{dashboard_id}": { "delete": { "description": "Deletes a dashboard and its widgets, and shortly after, its scheduled reports. Organization dashboards cannot be deleted from a workspace. The API key must be able to see the dashboard, as described in `List dashboards`.", "operationId": "deleteDashboard", "parameters": [ { "description": "The ID of the dashboard to delete. With an API key whose role includes the `Bypass cases dashboard restriction` permission, a dashboard that does not exist or was already deleted returns NOT_FOUND. Without it, a dashboard that does not exist and one the key cannot see both return PERMISSION_DENIED with the same message.", "in": "path", "name": "dashboard_id", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1alphaDeleteDashboardResponse" } } }, "description": "A successful response." }, "401": { "content": { "application/json": { "schema": { "type": "object" } } }, "description": "Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token." }, "403": { "content": { "application/json": { "schema": { "type": "object" } } }, "description": "You don't have permission to access this resource." } }, "summary": "Delete dashboard", "tags": [ "Dashboards" ] } } }, "components": { "schemas": { "v1alphaDeleteDashboardResponse": { "properties": { "id": { "description": "The ID of the deleted dashboard.", "example": "0f8fad5b-d9cb-469f-a165-70867728950e", "type": "string" } }, "title": "Delete dashboard response", "type": "object" } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "64fb4b65-44d8-4304-881c-b1f8b6b3100a" } } } } ````